Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(23)

Issue 2422383002: [turbofan] Implement JSBuiltinReducer for String.prototype[Symbol.iterator]. (Closed)

Created:
2 years, 11 months ago by jwolfe
Modified:
2 years, 11 months ago
CC:
v8-reviews_googlegroups.com
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

[turbofan] Implement JSBuiltinReducer for String.prototype[Symbol.iterator]. BUG=v8:5388 Committed: https://crrev.com/21fda06c05e26b9085227682495248532fbb8357 Cr-Commit-Position: refs/heads/master@{#40406}

Patch Set 1 #

Total comments: 2

Patch Set 2 : pass input context twice to LoadContext. fixes tests. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+51 lines, -0 lines) Patch
M src/bootstrapper.cc View 1 1 chunk +1 line, -0 lines 0 comments Download
M src/compiler/js-builtin-reducer.h View 1 chunk +1 line, -0 lines 0 comments Download
M src/compiler/js-builtin-reducer.cc View 1 2 chunks +47 lines, -0 lines 0 comments Download
M src/compiler/typer.cc View 1 chunk +1 line, -0 lines 0 comments Download
M src/objects.h View 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 19 (8 generated)
jwolfe
PTAL
2 years, 11 months ago (2016-10-17 21:40:23 UTC) #3
caitp
drive-by: https://codereview.chromium.org/2422383002/diff/1/src/bootstrapper.cc File src/bootstrapper.cc (left): https://codereview.chromium.org/2422383002/diff/1/src/bootstrapper.cc#oldcode1478 src/bootstrapper.cc:1478: iterator->shared()->set_native(true); I don't think we need to get ...
2 years, 11 months ago (2016-10-17 21:54:29 UTC) #5
jwolfe
> I don't think we need to get rid of the set_native() call... It had ...
2 years, 11 months ago (2016-10-17 22:20:59 UTC) #6
caitp
On 2016/10/17 22:20:59, jwolfe wrote: > > I don't think we need to get rid ...
2 years, 11 months ago (2016-10-17 22:26:55 UTC) #8
caitp
On 2016/10/17 22:26:55, caitp wrote: > On 2016/10/17 22:20:59, jwolfe wrote: > > > I ...
2 years, 11 months ago (2016-10-17 23:45:44 UTC) #9
Benedikt Meurer
Nice, thanks. LGTM.
2 years, 11 months ago (2016-10-18 03:58:51 UTC) #11
jwolfe
> I'm not sure about the CHECK not failing, though. that's fishy and possibly a ...
2 years, 11 months ago (2016-10-18 16:05:15 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2422383002/20001
2 years, 11 months ago (2016-10-18 16:05:57 UTC) #14
caitp
On 2016/10/18 16:05:15, jwolfe wrote: > > I'm not sure about the CHECK not failing, ...
2 years, 11 months ago (2016-10-18 16:08:20 UTC) #15
commit-bot: I haz the power
Committed patchset #2 (id:20001)
2 years, 11 months ago (2016-10-18 16:32:38 UTC) #17
commit-bot: I haz the power
2 years, 11 months ago (2016-10-18 16:33:13 UTC) #19
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/21fda06c05e26b9085227682495248532fbb8357
Cr-Commit-Position: refs/heads/master@{#40406}

Powered by Google App Engine
This is Rietveld 408576698